#pragma once

#include <box2d/box2d.h>
#include <cmath>
#include <raylib.h>

constexpr float PIXELS_PER_METER = 25.0f;

Color convert_color(b2HexColor c, float alpha);
void dd_solid_polygon(b2Transform transform, const b2Vec2* vertices, int vertexCount, float radius, b2HexColor color,
                      void* context);
void dd_solid_circle(b2Transform transform, float radius, b2HexColor color, void* context);
void dd_draw_point(b2Vec2 p, float size, b2HexColor color, void* context);
